///////////////////////////////////////////////////////////////////////////
// Standard class (XXX) definition format

class XXX
{
private:
  static const ClassDoc class_doc;
public:
  XXX(void);                // Default constructor
  XXX(XXX &copyobj);        // Copy constructor
  XXX& operator=(XXX &rhs);  // Assignment operator
  ~XXX();                   // Destructor; If this is a base class,
                            //   make destructor virtual.
};


///////////////////////////////////////////////////////////////////////////
// Sample class_doc member definition

const ClassDoc XXX::class_doc("XXX",
	      "Michael J. Donahue (michael.donahue@nist.gov)",
	      "1.0.0","09-Jan-1997");


///////////////////////////////////////////////////////////////////////////
// Sample member function definition

---return_type--- XXX::XXX(---parameters---)
{
#define MEMBERNAME "XXX"
  if(---error_condition---)
    FatalError(-1,STDDOC,"---error_message---");

  ---more_code---

#undef MEMBERNAME
}


///////////////////////////////////////////////////////////////////////////
